# Get metafield configuration

URL: https://docs.sparklayer.io/ignite/api/get-metafield-configuration
Operation: `GET /v1/{siteEnv}/{siteId}/metafield-configuration` (operationId `getMetafieldConfiguration`)
OpenAPI spec: https://docs.sparklayer.io/openapi/ignite.yaml

Returns a list of all SparkLayer metafield schema keys supported by the platform and the current configuration state for each key

`GET /v1/{siteEnv}/{siteId}/metafield-configuration`

> This is an Ignite endpoint: your integration service implements it and SparkLayer calls it.

### Request SparkLayer sends

```http
GET /v1/live/bobs-store/metafield-configuration HTTP/1.1
Host: ignite.example.com
```

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `siteEnv` | string | Yes | The SparkLayer environment the request is for, such as `live`. Store it, with the site ID, when SparkLayer connects your platform. Example: `live` |
| `siteId` | string | Yes | The SparkLayer site ID the request is for, such as `bobs-store`. Store it, with the environment, when SparkLayer connects your platform. Length: min 1. Example: `bobs-store` |

### Responses your service returns

#### 200: A successful response

An array. Each item:

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `[].key` | "customer.accounting_id" \| "customer.available_shipping_addresses_ids" \| "customer.billing_address_id" \| "customer.shipping_address_id" \| "customer.company_name" \| "customer.discount_percentage" \| "customer.payment_on_account" \| "customer.parent_customer_id" \| "customer.price_lists" \| "customer.sales_agent_groups" \| "product_variant.max_order_parent_quantity" \| "product_variant.max_order_quantity" \| "product_variant.min_order_parent_quantity" \| "product_variant.min_order_quantity" \| "product_variant.min_stock_level" \| "product_variant.pack_size" \| "product_variant.reserve_stock_quantity" \| "product_variant.restock_date" \| "product_variant.rrp" \| "product_variant.settings" \| "product_variant.stock_location_data" | | |
| `[].state` | "enabled" \| "not_configured" | | |

```json
[
  {
    "key": "customer.accounting_id",
    "state": "enabled"
  }
]
```

#### 404: Not found

#### 500: System exception
